Bug 1714265 - libdnf ships /usr/lib64/libdnf/plugins/README but not the parent directories
Summary: libdnf ships /usr/lib64/libdnf/plugins/README but not the parent directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libdnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Rohel
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On: 1679648
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-27 14:17 UTC by Jan Pazdziora
Modified: 2020-11-14 07:03 UTC (History)
2 users (show)

Fixed In Version: libdnf-0.35.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:15 UTC

Description Jan Pazdziora 2019-05-27 14:17:29 UTC
Description of problem:

The libdnf package ships /usr/lib64/libdnf/plugins/README but not the parent directories.

Version-Release number of selected component (if applicable):

libdnf-0.22.5-5.el8_0.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. rpm -qf /usr/lib64/libdnf /usr/lib64/libdnf/plugins /usr/lib64/libdnf/plugins/README

Actual results:

file /usr/lib64/libdnf is not owned by any package
file /usr/lib64/libdnf/plugins is not owned by any package
libdnf-0.22.5-5.el8_0.x86_64

Expected results:

libdnf-0.22.5-5.el8_0.x86_64
libdnf-0.22.5-5.el8_0.x86_64
libdnf-0.22.5-5.el8_0.x86_64

Additional info:

Comment 2 Jaroslav Rohel 2019-06-11 06:25:32 UTC
Fix PR https://github.com/rpm-software-management/libdnf/pull/749

Comment 100 errata-xmlrpc 2019-11-05 22:22:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.